/*
  Multi Sensor Receiver Reference Design

  This code provides a reference design for the Radio Bridge
  Particle gateway to receive sensor inputs from the SubGig, 345MHz,
  and 319MHz BridgeBee modules.

  (c) 2017 Radio Bridge Inc. and its subsidiaries.
*/

/*

This file has been modified by Radio Bridge Inc, original code provided
as shown in copyright below

*/


/******************************************************************
*  EasyTransfer Arduino Library
*		details and example sketch:
*			http://www.billporter.info/easytransfer-arduino-library/
*
*		Brought to you by:
*              Bill Porter
*              www.billporter.info
*
*		See Readme for other info and version history
*
*
*This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
<http://www.gnu.org/licenses/>
*
*This work is licensed under the Creative Commons Attribution-ShareAlike 3.0 Unported License.
*To view a copy of this license, visit http://creativecommons.org/licenses/by-sa/3.0/ or
*send a letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
******************************************************************/

#include "application.h"

void init_serial(void);

// max size for packets to and from the sensor chip
#define MAX_PACKET_SIZE 64

// class taken from shared library 
class SerialTransfer {
public:
	void begin(uint8_t *, uint8_t, Stream *theStream);
	void sendData(uint8_t tx_length);
	boolean receiveData();
private:
	Stream *_stream;
	uint8_t * address;  //address of struct
	uint8_t size; // size of struct
	uint8_t * rx_buffer; //address for temporary storage and parsing buffer
	uint8_t rx_array_inx;  //index for RX parsing buffer
};
