/*
  Multi Sensor Receiver Reference Design

  This code provides a reference design for the Radio Bridge
  Particle gateway to receive sensor inputs from the SubGig, 345MHz,
  and 319MHz BridgeBee modules.

  (c) 2017 Radio Bridge Inc. and its subsidiaries.
*/

#include "application.h"

uint8_t ascii_byte_to_hex(uint8_t *asciival);
void hex_to_ascii_byte(uint8_t hex_byte, uint8_t *asciival);
uint32_t ascii_long_to_hex(uint8_t *asciival);
void hex_to_ascii_16(uint16_t hex_long, uint8_t *asciival);
void hex_to_ascii_32(uint32_t hex_long, uint8_t *asciival);
uint8_t lowercase(uint8_t newchar);
uint8_t uppercase(uint8_t newchar);
bool is_ascii_coded_hex_char(uint8_t ascii_hex_char);
bool is_ascii_coded_hex_string(uint8_t *ascii_hex_string, uint8_t length);
bool is_ascii_coded_hex_number(uint8_t ascii_hex_char);
bool is_ascii_coded_hex_uppercase(uint8_t ascii_hex_char);
bool is_ascii_coded_hex_lowercase(uint8_t ascii_hex_char);
uint8_t ascii_nibble_to_hex(uint8_t asciival);
void ascii_hex_string_to_upper(uint8_t *ascii_hex_string, uint8_t length);
uint16_t ascii_16_to_hex(uint8_t *asciival);
